<template>
    <div>
        <label for="name">Departamento</label>
        <select 
            :value="value"
            class="form-control form-control-md" 
            required
            @change="onChange"
        >
            <option 
                selected="true" 
                disabled="disabled"
                :value="0"
            >
                Selecciona Departamento
            </option>
            <option 
                v-for="(departamento, index) in departamentos"
                :key="index"
                :value="departamento.id_departamento"
            >
                {{ departamento.departamento}}
            </option>
        </select>
        <div style="font-size: 12; color: tomato;">{{ error }}</div>
    </div>
</template>


<script>

export default {

    props: {
        ruta: {
            type: String
        },
        value: {
            type: Number,
            default: 0
        },
        error: {
            type: String,
            default: ""
        }
    },

    data: () => {
        return {
           departamentos: []
        }
    },

    async created() {

        await this.getDepartamentos();
    },

    methods: {
        async getDepartamentos() {

            const response = await axios.get(this.ruta + `/api/departamentos`);
            this.departamentos = response.data;
        },

        onChange(event) {

            this.$emit('input', parseInt(event.target.value));
            this.$emit('change');
        }
    }
}
</script>